{
  "model":{
    "type":"minecraft:condition",
    "property":"minecraft:using_item",
    "on_true":{
      "type":"model",
      "model":"umbrella:umbrella_open"
    },
    "on_false":{
      "type":"model",
      "model":"umbrella:umbrella"
    }
  }
}

